[ZBX-9659] always_populate_raw_post_data in PHP7.0.0alpha2 Created: 2015 Jun 25  Updated: 2017 May 30  Resolved: 2016 Mar 08

Status: Closed
Project: ZABBIX BUGS AND ISSUES
Component/s: API (A), Frontend (F)
Affects Version/s: 2.0.17rc1, 2.2.12rc1, 2.4.5, 3.0.0alpha6
Fix Version/s: 3.0.2rc1, 3.2.0alpha1

Type: Incident report Priority: Minor
Reporter: daniel widrick Assignee: Unassigned
Resolution: Fixed Votes: 2
Labels: patch, php7
Environment:

Oracle Linux 7.1 (lxc container on OEL 7.1 Host - selinux disabled)
php-7.0.0alpha2 (php-fpm)


Issue Links:
Duplicate
is duplicated by ZBX-9852 php7 and zabbix2.5 Closed
is duplicated by ZBX-10400 zabbix 3.0.0 php7 errors Closed

 Description   

include/classes/setup/CFrontendSetup.php

Appears to check PHP_VERSION >= 5.6 and when true checks the php.ini value of always_populate_raw_post_data

This .ini value has been removed as of php-7.0.0alpha2 as per:
https://github.com/php/php-src/blob/php-7.0.0alpha2/UPGRADING

I'm not sure You care about the alpha versions of php yet but I figured I would attach the changes I made to get around the issue:

------------------------------------

[root@zabbix htdocs]# git diff
diff --git a/include/classes/setup/CFrontendSetup.php b/include/classes/setup/CFrontendSetup.php
index babdaa7..393349f 100755
--- a/include/classes/setup/CFrontendSetup.php
+++ b/include/classes/setup/CFrontendSetup.php
@@ -72,7 +72,7 @@ class CFrontendSetup {
                }
 
                // check for deprecated PHP 5.6.0 option 'always_populate_raw_post_data'
-               if (version_compare(PHP_VERSION, '5.6', '>=')) {
+               if (version_compare(PHP_VERSION, '5.6', '>=') && version_compare(PHP_VERSION, '7.0.0alpha2', '<')) {
                        $result[] = $this->checkPhpAlwaysPopulateRawPostData();
                }
                $result[] = $this->checkPhpSockets();

-----------------------------------

Thank you,



 Comments   
Comment by richlv [ 2015 Dec 04 ]

with the final php7 out yesterday (december 3rd), this issue might be worth re-evaluating

Comment by vitalijs.cemeris (Inactive) [ 2016 Jan 07 ]

(1) No translation strings changed

Gunars Pujats CLOSED

Comment by vitalijs.cemeris (Inactive) [ 2016 Jan 07 ]

RESOLVED in development branch svn://svn.zabbix.com/branches/dev/ZBX-9659

Comment by Ricardo Felipe Klein [ 2016 Feb 09 ]

The web installer on 3.0.0rc1 still complains about this php setting.

Comment by Billy D. [ 2016 Feb 18 ]

Hi, any idea when the update will be published?

Comment by Gunars Pujats (Inactive) [ 2016 Mar 03 ]

Successfully tested!

Comment by Ivo Kurzemnieks [ 2016 Mar 04 ]

Subissue (1) still open.

Comment by vitalijs.cemeris (Inactive) [ 2016 Mar 08 ]

Fixed in:

  • pre-3.0.2rc1 r58879
  • pre-3.1.0 r58880
Generated at Thu Dec 13 15:55:59 EET 2018 using JIRA 7.3.9#73021-sha1:26adfd3d76803e1a04219c5cd05b58dbafff0dbf.